<?php

namespace Drupal\slider_pro;

/**
 * Class SliderProOptionset
 * @package Drupal\slider_pro
 */
class SliderProOptionset {

  protected $useThumbs;
  protected $hasLayers;
  protected $options;

  /**
   * SliderProOptionset constructor.
   * @param $options
   */
  public function __construct($options) {
    $this->options = $options;
    $this->useThumbs = !empty($options['thumbnails']['position']);
    $this->hasLayers = !empty($options['layers_wrapper']['layers']);
  }

  /**
   * Returns optionset.
   * @return array
   */
  public function toArray() {
    $optionset = [
      'width' => $this->options['general']['width'],
      'visibleSize' => $this->options['general']['visible_size'],
      'forceSize' => $this->options['general']['force_size'],
      'height' => $this->options['general']['height'],
      'orientation' => $this->options['general']['orientation'],
      'buttons' => ($this->options['general']['buttons']) ? TRUE : FALSE,
      'fade' => ($this->options['general']['transition']) ? TRUE : FALSE,
      'arrows' => ($this->options['general']['arrows']) ? TRUE : FALSE,
    ];

    if ($this->useThumbs) {
      $optionset['thumbnailWidth'] = (int) $this->options['thumbnails']['width'];
      $optionset['thumbnailHeight'] = (int) $this->options['thumbnails']['height'];
      $optionset['thumbnailsPosition'] = $this->options['thumbnails']['position'];
    }

    if ($this->hasLayers) {
      $optionset['waitForLayers'] = ($this->options['layers_wrapper']['wait_for_layers']) ? TRUE : FALSE;
      $optionset['autoScaleLayers'] = ($this->options['layers_wrapper']['auto_scale_layers']) ? TRUE : FALSE;
    }

    return $optionset;
  }

}